Upgrading logstash 1.4.1 to logstash 1.5.3


(Imtiyaz) #1

Following steps are performed for configuring logstash 1.5.3
downloaded and extract the logstash-1.5.3.tar.gz file into the installed logstash 1.4.1 folder (/opt/logstash/server)
Now trying to run the below command
[root@mps-dt-log-1 bin]# ./logstash

Error ::
NoMethodError: undefined method `captures' for nil:NilClass
parse_java_version at /opt/logstash/server/vendor/bundle/jruby/1.9/gems/logstash-core-1.5.3-java/lib/logstash/util/java_version.rb:33
bad_java_version? at /opt/logstash/server/vendor/bundle/jruby/1.9/gems/logstash-core-1.5.3-java/lib/logstash/util/java_version.rb:51
warn_on_bad_java_version at /opt/logstash/server/vendor/bundle/jruby/1.9/gems/logstash-core-1.5.3-java/lib/logstash/util/java_version.rb:10
main at /opt/logstash/server/vendor/bundle/jruby/1.9/gems/logstash-core-1.5.3-java/lib/logstash/runner.rb:32
(root) at /opt/logstash/server/lib/bootstrap/environment.rb:48

Java version installed on the system

[root@mps-dt-log-1 bin]# java -version
java version "1.7.0"
Java(TM) SE Runtime Environment (build pxa6470_27sr2-20141026_01(SR2))
IBM J9 VM (build 2.7, JRE 1.7.0 Linux amd64-64 Compressed References 20141017_217728 (JIT enabled, AOT enabled)
J9VM - R27_Java727_SR2_20141017_1632_B217728
JIT - tr.r13.java_20141003_74587.01
GC - R27_Java727_SR2_20141017_1632_B217728_CMPRSS
J9CL - 20141017_217728)
JCL - 20141004_01 based on Oracle 7u71-b13

Let me know if I have miss anything


(system) #2